# Copyright 1999-2004 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
# $Header: $

IUSE="nls"

DESCRIPTION="GTK/VTE based Multi Terminal Emulator for X Windows"
HOMEPAGE="http://gtkterm.sourceforge.net/"
SRC_URI="http://osdn.dl.sourceforge.net/gtkterm/${P}.tar.gz"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86"
DEPEND="nls? ( >=sys-devel/gettext-0.11.5-r1 )
	>=dev-util/pkgconfig-0.15.0
	>=sys-devel/bison-1.35
	>=x11-libs/gtk+-2.2.4-r1
	>=dev-libs/glib-2.2.3
	>=x11-libs/vte-0.11.10
	>=dev-libs/atk-1.4.0
	>=x11-libs/pango-1.2.5
	>=sys-libs/zlib-1.1.4-r2
	>=sys-libs/ncurses-5.3-r2
	>=media-libs/libart_lgpl-2.3.16 "


src_compile() {
	local myconf=
	use nls && \
		myconf="${myconf} --enable-nls --without-included-gettext" || \
		myconf="${myconf} --disable-nls"

	econf ${myconf} || die

	emake || die
}

src_install() {
	make DESTDIR=${D} install || die
	dodoc README* INSTALL* ChangeLog COPYING NEWS* TODO*
}
